Resources
=========

.. contents:: :local:

CloudServiceType
------------------------
.. autoclass:: cloudbridge.interfaces.resources.CloudServiceType
    :members:

CloudResource
-------------
.. autoclass:: cloudbridge.interfaces.resources.CloudResource
    :members:

Configuration
-------------
.. autoclass:: cloudbridge.interfaces.resources.Configuration
    :members:

ObjectLifeCycleMixin
--------------------
.. autoclass:: cloudbridge.interfaces.resources.ObjectLifeCycleMixin
    :members:

PageableObjectMixin
--------------------
.. autoclass:: cloudbridge.interfaces.resources.PageableObjectMixin
    :members:

ResultList
----------
.. autoclass:: cloudbridge.interfaces.resources.ResultList
    :members:

InstanceState
-------------
.. autoclass:: cloudbridge.interfaces.resources.InstanceState
    :members:

Instance
--------
.. autoclass:: cloudbridge.interfaces.resources.Instance
    :members:

MachineImageState
-----------------
.. autoclass:: cloudbridge.interfaces.resources.MachineImageState
    :members:

LaunchConfig
------------
.. autoclass:: cloudbridge.interfaces.resources.LaunchConfig
    :members:

MachineImage
------------
.. autoclass:: cloudbridge.interfaces.resources.MachineImage
    :members:

NetworkState
------------
.. autoclass:: cloudbridge.interfaces.resources.NetworkState
    :members:

Network
-------
.. autoclass:: cloudbridge.interfaces.resources.Network
    :members:

SubnetState
------------
.. autoclass:: cloudbridge.interfaces.resources.SubnetState
    :members:

Subnet
------
.. autoclass:: cloudbridge.interfaces.resources.Subnet
    :members:

FloatingIP
----------
.. autoclass:: cloudbridge.interfaces.resources.FloatingIP
    :members:

RouterState
------------
.. autoclass:: cloudbridge.interfaces.resources.RouterState
    :members:

Router
------
.. autoclass:: cloudbridge.interfaces.resources.Router
    :members:

Gateway
--------
.. autoclass:: cloudbridge.interfaces.resources.Gateway
    :members:

InternetGateway
---------------
.. autoclass:: cloudbridge.interfaces.resources.InternetGateway
    :members:

VolumeState
-----------
.. autoclass:: cloudbridge.interfaces.resources.VolumeState
    :members:

Volume
------
.. autoclass:: cloudbridge.interfaces.resources.Volume
    :members:

SnapshotState
-------------
.. autoclass:: cloudbridge.interfaces.resources.SnapshotState
    :members:

Snapshot
--------
.. autoclass:: cloudbridge.interfaces.resources.Snapshot
    :members:

KeyPair
-------
.. autoclass:: cloudbridge.interfaces.resources.KeyPair
    :members:

Region
------
.. autoclass:: cloudbridge.interfaces.resources.Region
    :members:

PlacementZone
-------------
.. autoclass:: cloudbridge.interfaces.resources.PlacementZone
    :members:

VMType
------------
.. autoclass:: cloudbridge.interfaces.resources.VMType
    :members:

VMFirewall
-------------
.. autoclass:: cloudbridge.interfaces.resources.VMFirewall
    :members:

VMFirewallRule
-----------------
.. autoclass:: cloudbridge.interfaces.resources.VMFirewallRule
    :members:
    :undoc-members:

TrafficDirection
-----------------
.. autoclass:: cloudbridge.interfaces.resources.TrafficDirection
    :members:

BucketObject
---------------
.. autoclass:: cloudbridge.interfaces.resources.BucketObject
    :members:

Bucket
---------
.. autoclass:: cloudbridge.interfaces.resources.Bucket
    :members:
